#version 330 core
layout (location = 0) in vec2 aPosition;
layout (location = 1) in float vertexValue;
uniform float rotation;
out float fragmentValue;
void main() {
	fragmentValue = vertexValue;
	gl_Position = vec4(aPosition.x * sin(rotation), aPosition.y, 0.0, 1.0);
}